{
	"name": "acid-watch",
	"displayName": "acid-watch",
	"description": "acid-watch",
	"version": "0.0.1",
	"publisher": "acid-srvnn",
	"preview": true,
	"author": {
		"name": "acid-srvnn",
		"email": "safa.acid@gmail.com"
	},
	"repository": {"url": "https://gitlab.com/safa.acid/acid-watch"},
	"engines": {
		"vscode": "^1.50.0"
	},
	"categories": [
		"Other"
	],
	"activationEvents": [
		"onView:acid-watch-overview"
	],
	"main": "./dist/extension.js",
	"contributes": {
		"viewsContainers": {
			"activitybar": [
				{
					"id": "acid-watch-container",
					"title": "acid-watch",
					"icon": "resources/icons/light/market.svg"
				}
			]
		},
		"views": {
			"acid-watch-container": [
				{
					"id": "acid-watch-overview",
					"name": "Overview"
				},
				{
					"id": "acid-watch-watchlist",
					"name": "Watchlist"
				},
				{
					"id": "acid-watch-portfolio",
					"name": "Portfolio"
				}
			]
		},
		"commands": [
			{
				"command": "acid-watch.watchlist.refresh",
				"title": "Refresh",
				"icon": {
					"light": "resources/icons/light/refresh.svg",
					"dark": "resources/icons/dark/refresh.svg"
				}
			},
			{
				"command": "acid-watch.overview.refresh",
				"title": "Refresh",
				"icon": {
					"light": "resources/icons/light/refresh.svg",
					"dark": "resources/icons/dark/refresh.svg"
				}
			}
		],
		"menus": {
			"view/title": [
				{
					"command": "acid-watch.watchlist.refresh",
					"when": "view == acid-watch-watchlist",
					"group": "navigation"
				},
				{
					"command": "acid-watch.overview.refresh",
					"when": "view == acid-watch-overview",
					"group": "navigation"
				}
			]
		},
		"colors": [
			{
				"id": "acidwatch.green",
				"description": "acidwatch.green",
				"defaults": {
					"light": "#9cc79c",
					"dark": "#9cc79c",
					"highContrast": "#9cc79c"
				}
			},
			{
				"id": "acidwatch.red",
				"description": "acidwatch.red",
				"defaults": {
					"light": "#e27355",
					"dark": "#e27355",
					"highContrast": "#e27355"
				}
			}
		]
	},
	"scripts": {
		"vscode:prepublish": "npm run package",
		"compile": "webpack",
		"watch": "webpack --watch",
		"package": "webpack --mode production --devtool hidden-source-map",
		"test-compile": "tsc -p ./",
		"test-watch": "tsc -watch -p ./",
		"pretest": "npm run test-compile && npm run lint",
		"lint": "eslint src --ext ts",
		"test": "node ./out/test/runTest.js"
	},
	"devDependencies": {
		"@types/glob": "^7.1.3",
		"@types/mocha": "^8.0.4",
		"@types/node": "^12.11.7",
		"@types/tough-cookie": "^4.0.0",
		"@types/vscode": "^1.50.0",
		"@typescript-eslint/eslint-plugin": "^4.14.1",
		"@typescript-eslint/parser": "^4.14.1",
		"eslint": "^7.19.0",
		"glob": "^7.1.6",
		"mocha": "^8.2.1",
		"ts-loader": "^8.0.14",
		"typescript": "^4.1.3",
		"vscode-test": "^1.5.0",
		"webpack": "^5.19.0",
		"webpack-cli": "^4.4.0"
	},
	"dependencies": {
		"axios": "^0.19.2",
		"tough-cookie": "^4.0.0",
		"axios-cookiejar-support": "^1.0.1"
	}
}
